## libevdev 1.12.1+dfsg

=== meson_options.txt ===
option('tests',
       type: 'feature',
       value: 'enabled',
       description: 'Build the tests')
option('documentation',
       type: 'feature',
       value: 'enabled',
       description: 'Build the documentation')
option('coverity',
       type: 'boolean',
       value: 'false',
       description: 'Enable coverity build fixes, see meson.build for details')

## libevdev 0.4

=== debian/changelog ===
libevdev (0.4-1) unstable; urgency=low

  * Initial release (Closes: #722631, LP: #1223304).

 -- Stephen Kitt <skitt@debian.org>  Wed, 18 Sep 2013 21:02:30 +0200

=== debian/control ===
Source: libevdev
Priority: extra
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends:
 check,
 debhelper (>= 9),
 dh-autoreconf,
 doxygen,
 pkg-config,
 python
Standards-Version: 3.9.4
Section: libs
Homepage: http://www.freedesktop.org/wiki/Software/libevdev/
Vcs-Git: git://anonscm.debian.org/collab-maint/libevdev.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/libevdev.git;a=summary

Package: libevdev-dev
Section: libdevel
Architecture: any
Depends:
 libevdev1 (= ${binary:Version}),
 libjs-jquery,
 ${misc:Depends}
Description: wrapper library for evdev devices - development files
 libevdev is a wrapper library for evdev devices. It provides
 functions covering the common tasks when dealing with evdev devices,
 thus avoiding erroneous ioctls and other errors.
 .
 This package contains the files required to build software using
 libevdev.

Package: libevdev1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: wrapper library for evdev devices
 libevdev is a wrapper library for evdev devices. It provides
 functions covering the common tasks when dealing with evdev devices,
 thus avoiding erroneous ioctls and other errors.
 .
 This package contains the files required to run software using
 libevdev.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# The tests needs libpthread
export CHECK_LIBS=-lpthread $(shell pkg-config --libs check)

%:
	dh $@  --with autoreconf

override_dh_auto_test:
# Tests must be run as root

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

=== debian/watch ===
version=3

http://www.freedesktop.org/software/libevdev/ libevdev-(.*)\.tar.*

## libevdev 0.5

=== debian/changelog ===
libevdev (0.5-1) unstable; urgency=low

  * New upstream version.
  * libevdev is for Linux only, limit the architectures accordingly.

 -- Stephen Kitt <skitt@debian.org>  Fri, 22 Nov 2013 01:04:28 +0100

libevdev (0.4.1-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Tue, 05 Nov 2013 23:07:02 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 Package: libevdev-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Depends:
  libevdev1 (= ${binary:Version}),
  libjs-jquery,
@@ -30,7 +30,7 @@
  libevdev.
 
 Package: libevdev1
-Architecture: any
+Architecture: linux-any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

## libevdev 1.0.99.2+dfsg

=== debian/changelog ===
libevdev (1.0.99.2+dfsg-2ubuntu2) trusty; urgency=medium

  * Redirect dh_auto_configure stderr to stdout in autopkgtest too.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Mar 2014 11:59:55 +0000

libevdev (1.0.99.2+dfsg-2ubuntu1) trusty; urgency=medium

  * Redirect dh_autoreconf stderr to stdout in autopkgtest.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Mar 2014 09:53:21 +0000

libevdev (1.0.99.2+dfsg-2) unstable; urgency=medium

  * Copy the autopkgtest tests to a temporary folder, and make sure the
    tests use the installed libevdev binaries. Thanks to Jakub Wilk and
    Martin Pitt for their explanations of the autopkgtest features!

 -- Stephen Kitt <skitt@debian.org>  Wed, 19 Mar 2014 23:09:46 +0100

libevdev (1.0.99.2+dfsg-1) unstable; urgency=medium

  * New upstream release candidate.
  * Correct VCS browser URL.

 -- Stephen Kitt <skitt@debian.org>  Wed, 19 Mar 2014 22:40:13 +0100

libevdev (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Fri, 14 Mar 2014 07:57:49 +0100

libevdev (1.0+dfsg-2) unstable; urgency=medium

  * Add Pre-Depends, thanks to Michael Terry for pointing out that it was
    missing.
  * Add DEP8 tests, thanks to Michael Terry (again) for the prod.

 -- Stephen Kitt <skitt@debian.org>  Thu, 06 Mar 2014 00:08:28 +0100

libevdev (1.0+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Tue, 18 Feb 2014 22:55:14 +0100

libevdev (0.9.1+dfsg-1) unstable; urgency=medium

  * Repack, removing doc/html (which is renegerated at build-time) to
    avoid shipping the sourceless minified jquery.js in the source package
    (thanks to Ansgar Burchardt for pointing this out).
  * Update debian/copyright (thanks also to Ansgar Burchardt).
  * Add Built-Using field to ensure all the source for the generated
    files is kept in the archive.

 -- Stephen Kitt <skitt@debian.org>  Wed, 12 Feb 2014 07:34:32 +0100

libevdev (0.9.1-1) unstable; urgency=medium

  * New upstream version, with new soname.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Feb 2014 19:29:30 +0100

libevdev (0.6-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Dec 2013 00:04:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libevdev
 Priority: extra
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends:
  check,
  debhelper (>= 9),
@@ -8,19 +9,21 @@
  doxygen,
  pkg-config,
  python
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.freedesktop.org/wiki/Software/libevdev/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libevdev.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/libevdev.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libevdev.git;a=summary
+XS-Testsuite: autopkgtest
 
 Package: libevdev-dev
 Section: libdevel
 Architecture: linux-any
 Depends:
- libevdev1 (= ${binary:Version}),
+ libevdev2 (= ${binary:Version}),
  libjs-jquery,
  ${misc:Depends}
+Built-Using: doxygen (= ${doxygen:Version})
 Description: wrapper library for evdev devices - development files
  libevdev is a wrapper library for evdev devices. It provides
  functions covering the common tasks when dealing with evdev devices,
@@ -29,8 +32,10 @@
  This package contains the files required to build software using
  libevdev.
 
-Package: libevdev1
+Package: libevdev2
 Architecture: linux-any
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# The tests needs libpthread
export CHECK_LIBS=-lpthread $(shell pkg-config --libs check)

# doxygen version
doxygen_version := $(shell dpkg-query -W -f="\$${source:Version}\n" doxygen)

%:
	dh $@  --with autoreconf

override_dh_auto_test:
# Tests must be run as root

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_gencontrol:
	dh_gencontrol -- -Vdoxygen:Version=$(doxygen_version)

=== debian/tests/control ===
Tests: check
Restrictions: needs-root
Depends: @, @builddeps@

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg\d*$// \
 http://www.freedesktop.org/software/libevdev/ libevdev-(.*)\.tar.*

## libevdev 1.2.2+dfsg

=== debian/changelog ===
libevdev (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Ship a udeb for the installer (Closes: #750698).

 -- Stephen Kitt <skitt@debian.org>  Fri, 06 Jun 2014 00:13:49 +0200

libevdev (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 14 May 2014 07:22:30 +0200

libevdev (1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add libevdev-tools package for touchpad-edge-detector.

 -- Stephen Kitt <skitt@debian.org>  Thu, 01 May 2014 23:05:02 +0200

libevdev (1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 29 Mar 2014 23:43:56 +0100

libevdev (1.0.99.2+dfsg-3) unstable; urgency=medium

  * Disable the autopkgtests for now (sorry), making them run reliably in
    CI environments is proving rather harder than I thought it would
    be. (This addresses #742250 but not properly, so I'm not closing it
    yet.)

 -- Stephen Kitt <skitt@debian.org>  Wed, 26 Mar 2014 21:40:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libevdev
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends:
  check,
  debhelper (>= 9),
@@ -14,7 +13,6 @@
 Homepage: http://www.freedesktop.org/wiki/Software/libevdev/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libevdev.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libevdev.git;a=summary
-XS-Testsuite: autopkgtest
 
 Package: libevdev-dev
 Section: libdevel
@@ -46,3 +44,29 @@
  .
  This package contains the files required to run software using
  libevdev.
+
+Package: libevdev2-udeb
+Package-Type: udeb
+Architecture: linux-any
+Section: debian-installer
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: wrapper library for evdev devices - udeb
+ This package contains the files required to provide libevdev for the
+ Debian Installer. Do not install it on a normal system.
+
+Package: libevdev-tools
+Section: utils
+Architecture: linux-any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: wrapper library for evdev devices - tools
+ libevdev is a wrapper library for evdev devices. It provides
+ functions covering the common tasks when dealing with evdev devices,
+ thus avoiding erroneous ioctls and other errors.
+ .
+ This package contains touchpad-edge-detector.

## libevdev 1.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libevdev
-Priority: extra
+Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
+Uploaders: Raphaël Halimi <raphael.halimi@gmail.com>
 Build-Depends:
  check,
  debhelper (>= 9),

## libevdev 1.3+dfsg

=== debian/changelog ===
libevdev (1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * libevdev should really have priority optional rather than extra.
  * Add upstream's signing key and use it in debian/watch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 09 Sep 2014 07:59:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libevdev
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Uploaders: Raphaël Halimi <raphael.halimi@gmail.com>
 Build-Depends:
  check,
  debhelper (>= 9),

## libevdev 1.3.2+dfsg

=== debian/changelog ===
libevdev (1.3.2+dfsg-2) unstable; urgency=medium

  * Mark libevdev2 as Multi-Arch: same (Closes: #770294); thanks to
    Andreas Beckmann for pointing out the issue!
  * Stop including timestamps in the generated documentation (they
    prevent reproducible builds).
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Feb 2015 21:14:55 +0100

libevdev (1.3.2+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 05 Dec 2014 21:28:00 +0100

libevdev (1.3.1+dfsg-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental for the Jessie freeze.
  * Update the FSF's address in debian/copyright.
  * Standards-Version 3.9.6, no change required.
  * Remove doxygen's SQLite database on cleanup.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Nov 2014 11:20:50 +0100

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+dfsg\d*$// \
 http://www.freedesktop.org/software/libevdev/ libevdev-(.*)\.tar.*

## libevdev 1.4.3+dfsg

=== debian/changelog ===
libevdev (1.4.3+dfsg-1ubuntu1) wily; urgency=medium

  * debian/patches/git-fix-invalid-absinfo.patch:
    - Fix invalid absinfo range values reported by certain mtk soc
      (LP: #1488053)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 24 Aug 2015 12:14:52 +0100

libevdev (1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Jun 2015 22:39:48 +0200

libevdev (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Apr 2015 20:56:45 +0200

libevdev (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop duplicate entry from debian/copyright and add repacksuffix in
    debian/watch for newer versions of mk-origtargz.

 -- Stephen Kitt <skitt@debian.org>  Sat, 11 Apr 2015 16:12:11 +0200

libevdev (1.4+dfsg-1) unstable; urgency=medium

  * New upstream release, providing a new tool, libevdev-tweak-device.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Mar 2015 21:42:50 +0100

## libevdev 1.4.6+dfsg

=== debian/changelog ===
libevdev (1.4.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 07 Jan 2016 17:23:10 +0100

libevdev (1.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 11 Nov 2015 23:07:12 +0100

libevdev (1.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 02 Sep 2015 23:15:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  doxygen,
  pkg-config,
  python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://www.freedesktop.org/wiki/Software/libevdev/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libevdev.git
@@ -32,6 +32,7 @@
 
 Package: libevdev2
 Architecture: linux-any
+Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,6 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vdoxygen:Version=$(doxygen_version)
+
+override_dh_makeshlibs:
+	dh_makeshlibs --add-udeb=libevdev2-udeb

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg \
 http://www.freedesktop.org/software/libevdev/ libevdev-(.*)\.tar.*

## libevdev 1.5.1+dfsg

=== debian/changelog ===
libevdev (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 May 2016 15:51:49 +0200

libevdev (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to https: VCS URIs (see #810378).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Update debian/copyright.
  * Enable full hardening.
  * Avoid installing useless .md5 files generated by doxygen.

 -- Stephen Kitt <skitt@debian.org>  Fri, 13 May 2016 21:27:09 +0200

=== debian/control ===
Source: libevdev
Maintainer: Stephen Kitt <skitt@debian.org>
Section: libs
Priority: optional
Build-Depends: check,
               debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               pkg-config,
               python
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libevdev.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libevdev.git
Homepage: http://www.freedesktop.org/wiki/Software/libevdev/

Package: libevdev-dev
Architecture: linux-any
Section: libdevel
Depends: libevdev2 (= ${binary:Version}),
         libjs-jquery,
         ${misc:Depends}
Built-Using: doxygen (= ${doxygen:Version})
Description: wrapper library for evdev devices - development files
 libevdev is a wrapper library for evdev devices. It provides
 functions covering the common tasks when dealing with evdev devices,
 thus avoiding erroneous ioctls and other errors.
 .
 This package contains the files required to build software using
 libevdev.

Package: libevdev2
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: wrapper library for evdev devices
 libevdev is a wrapper library for evdev devices. It provides
 functions covering the common tasks when dealing with evdev devices,
 thus avoiding erroneous ioctls and other errors.
 .
 This package contains the files required to run software using
 libevdev.

Package: libevdev2-udeb
Architecture: linux-any
Section: debian-installer
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Package-Type: udeb
Description: wrapper library for evdev devices - udeb
 This package contains the files required to provide libevdev for the
 Debian Installer. Do not install it on a normal system.

Package: libevdev-tools
Architecture: linux-any
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: wrapper library for evdev devices - tools
 libevdev is a wrapper library for evdev devices. It provides
 functions covering the common tasks when dealing with evdev devices,
 thus avoiding erroneous ioctls and other errors.
 .
 This package contains touchpad-edge-detector.

## libevdev 1.5.2+dfsg

=== debian/changelog ===
libevdev (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on graphviz, the doxygen documentation needs it.

 -- Stephen Kitt <skitt@debian.org>  Wed, 15 Jun 2016 21:10:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
                debhelper (>= 9),
                dh-autoreconf,
                doxygen,
+               graphviz,
                pkg-config,
                python
 Standards-Version: 3.9.8

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # The tests needs libpthread
 export CHECK_LIBS=-lpthread $(shell pkg-config --libs check)
@@ -24,3 +26,7 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs --add-udeb=libevdev2-udeb
+
+override_dh_auto_install:
+	rm -f doc/html/*.md5
+	dh_auto_install

## libevdev 1.5.6+dfsg

=== debian/changelog ===
libevdev (1.5.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Jan 2017 23:32:44 +0100

libevdev (1.5.5+dfsg-1) unstable; urgency=medium

  * New upstream release, obsoleting reproducible-builds.patch.

 -- Stephen Kitt <skitt@debian.org>  Thu, 01 Dec 2016 09:03:13 +0100

libevdev (1.5.4+dfsg-2) unstable; urgency=medium

  * Fix FTCBFS (Closes: #842989; thanks to Helmut Grohne):
    - annotate Python build-dependency with :native;
    - use triplet-prefixed pkg-config.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Thu, 03 Nov 2016 23:14:31 +0100

libevdev (1.5.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Aug 2016 23:10:52 +0200

libevdev (1.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 23 Aug 2016 09:25:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Section: libs
 Priority: optional
 Build-Depends: check,
-               debhelper (>= 9),
-               dh-autoreconf,
+               debhelper (>= 10),
                doxygen,
                graphviz,
                pkg-config,
-               python
+               python:native
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libevdev.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libevdev.git

## libevdev 1.5.7+dfsg

=== debian/changelog ===
libevdev (1.5.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Ship documentation in a separate libevdev-doc package (Closes:
    #860980).

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jun 2017 08:42:07 +0200

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,7 @@
 Architecture: linux-any
 Section: libdevel
 Depends: libevdev2 (= ${binary:Version}),
-         libjs-jquery,
          ${misc:Depends}
-Built-Using: doxygen (= ${doxygen:Version})
 Description: wrapper library for evdev devices - development files
  libevdev is a wrapper library for evdev devices. It provides
  functions covering the common tasks when dealing with evdev devices,
@@ -27,6 +25,20 @@
  .
  This package contains the files required to build software using
  libevdev.
+
+Package: libevdev-doc
+Architecture: all
+Section: doc
+Depends: libjs-jquery,
+         ${misc:Depends}
+Built-Using: doxygen (= ${doxygen:Version})
+Description: wrapper library for evdev devices - development docs
+ libevdev is a wrapper library for evdev devices. It provides
+ functions covering the common tasks when dealing with evdev devices,
+ thus avoiding erroneous ioctls and other errors.
+ .
+ This package contains the documentation for developers wishing to
+ build software using libevdev.
 
 Package: libevdev2
 Architecture: linux-any

## libevdev 1.5.8+dfsg

=== debian/changelog ===
libevdev (1.5.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add Multi-Arch qualifiers for the -dev and -doc packages.
  * Drop obsolete patches.
  * Make libevdev-dev suggest libevdev-doc. Closes: #885079; thanks to
    Yuri D'Elia for the suggestion!
  * Switch to the secure upstream homepage URL.
  * Switch to debhelper compatibility level 11, moving the documentation
    to /usr/share/doc/libevdev-dev (still in the libevdev-doc package).
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 29 Jan 2018 09:19:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,23 @@
 Section: libs
 Priority: optional
 Build-Depends: check,
-               debhelper (>= 10),
+               debhelper (>= 11~),
                doxygen,
                graphviz,
                pkg-config,
                python:native
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libevdev.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libevdev.git
-Homepage: http://www.freedesktop.org/wiki/Software/libevdev/
+Homepage: https://www.freedesktop.org/wiki/Software/libevdev/
 
 Package: libevdev-dev
 Architecture: linux-any
+Multi-Arch: same
 Section: libdevel
 Depends: libevdev2 (= ${binary:Version}),
          ${misc:Depends}
+Suggests: libevdev-doc
 Description: wrapper library for evdev devices - development files
  libevdev is a wrapper library for evdev devices. It provides
  functions covering the common tasks when dealing with evdev devices,
@@ -28,9 +30,12 @@
 
 Package: libevdev-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-jquery,
          ${misc:Depends}
+Breaks: libevdev-dev (<< 1.5.7)
+Replaces: libevdev-dev (<< 1.5.7)
 Built-Using: doxygen (= ${doxygen:Version})
 Description: wrapper library for evdev devices - development docs
  libevdev is a wrapper library for evdev devices. It provides

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg \
 https://www.freedesktop.org/software/libevdev/ libevdev-(.*)\.tar.*

## libevdev 1.5.9+dfsg

=== debian/changelog ===
libevdev (1.5.9+dfsg-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 04 May 2018 22:46:21 +0200

libevdev (1.5.9+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 13 Mar 2018 20:31:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                graphviz,
                pkg-config,
                python:native
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libevdev.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libevdev.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/libevdev
+Vcs-Git: https://salsa.debian.org/debian/libevdev.git
 Homepage: https://www.freedesktop.org/wiki/Software/libevdev/
 
 Package: libevdev-dev

## libevdev 1.6.0+dfsg

=== debian/changelog ===
libevdev (1.6.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Stephen Kitt ]
  * New upstream release.
  * Add “Build-Depends-Package” entry to libevdev2.symbols.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Oct 2018 23:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                graphviz,
                pkg-config,
                python:native
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian/libevdev
 Vcs-Git: https://salsa.debian.org/debian/libevdev.git
 Homepage: https://www.freedesktop.org/wiki/Software/libevdev/
+Rules-Requires-Root: no
 
 Package: libevdev-dev
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -4,16 +4,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/architecture.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # The tests needs libpthread
-export CHECK_LIBS=-lpthread $(shell pkg-config --libs check)
+export CHECK_LIBS=-lpthread $(shell $(DEB_HOST_GNU_TYPE)-pkg-config --libs check)
 
 # doxygen version
 doxygen_version := $(shell dpkg-query -W -f="\$${source:Version}\n" doxygen)
 
 %:
-	dh $@  --with autoreconf
+	dh $@
 
 override_dh_auto_test:
 # Tests must be run as root

## libevdev 1.8.0+dfsg

=== debian/changelog ===
libevdev (1.8.0+dfsg-2) unstable; urgency=medium

  * Build with Python 3. Closes: #936851.

 -- Stephen Kitt <skitt@debian.org>  Wed, 04 Sep 2019 09:03:49 +0200

libevdev (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 28 Aug 2019 20:50:32 +0200

libevdev (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use dh_doxygen to clean up the doxygen output.
  * Avoid pulling in remote resources from the docs.
  * Standards-Version 4.4.0, no change required.
  * Stop overriding the jQuery version used by doxygen.

 -- Stephen Kitt <skitt@debian.org>  Mon, 15 Jul 2019 18:48:44 +0200

libevdev (1.6.901+dfsg-1) experimental; urgency=medium

  * New upstream pre-release.
  * Rewrite libevdev2.symbols using version symbols.
  * Simplify the upstream signing key.
  * Standards-Version 4.3.0, no change required.
  * Switch to debhelper compatibility level 12.
  * Install libevdev.3 in libevdev-dev.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Jun 2019 15:17:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Section: libs
 Priority: optional
 Build-Depends: check,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                doxygen,
                graphviz,
                pkg-config,
-               python:native
-Standards-Version: 4.2.1
+               python3:native
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/libevdev
 Vcs-Git: https://salsa.debian.org/debian/libevdev.git
 Homepage: https://www.freedesktop.org/wiki/Software/libevdev/
@@ -33,7 +33,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-jquery,
+Depends: libjs-bootstrap,
          ${misc:Depends}
 Breaks: libevdev-dev (<< 1.5.7)
 Replaces: libevdev-dev (<< 1.5.7)

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # Tests must be run as root
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-silent-rules
+	dh_auto_configure -- --disable-silent-rules PYTHON=/usr/bin/python3
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vdoxygen:Version=$(doxygen_version)
@@ -29,6 +29,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs --add-udeb=libevdev2-udeb
 
-override_dh_auto_install:
-	rm -f doc/html/*.md5
-	dh_auto_install
+override_dh_installdocs-indep:
+	dh_installdocs -i
+	dh_doxygen -plibevdev-doc

## libevdev 1.9.0%2Bdfsg

=== debian/changelog ===
libevdev (1.9.0+dfsg-1ubuntu0.2) focal-security; urgency=medium

  * No change rebuild in -security pocket.

 -- Alex Murray <alex.murray@canonical.com>  Thu, 14 Apr 2022 13:43:31 +0930

libevdev (1.9.0+dfsg-1ubuntu0.1) focal; urgency=medium

  * debian/patches/Add libevdev_disable_property:
    - needed for libinput quirks on some Dell Precision configurations
      (lp: #1906341)

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Thu, 03 Dec 2020 15:32:01 +0100

libevdev (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Enable tests, the default test suite no longer needs to run as root.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Mar 2020 12:21:46 +0100

libevdev (1.8.901+dfsg-1) unstable; urgency=medium

  * New upstream pre-release.
  * Standards-Version 4.5.0, no change required.
  * Explicitly indicate that we don’t install .la files.

 -- Stephen Kitt <skitt@debian.org>  Fri, 21 Feb 2020 17:45:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libevdev
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: check,
@@ -8,7 +9,7 @@
                graphviz,
                pkg-config,
                python3:native
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/libevdev
 Vcs-Git: https://salsa.debian.org/debian/libevdev.git
 Homepage: https://www.freedesktop.org/wiki/Software/libevdev/

## libevdev 1.9.0+dfsg

=== debian/changelog ===
libevdev (1.9.0+dfsg-1+rpi1) bullseye-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 10 Mar 2020 18:18:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libevdev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: check,

## libevdev 1.9.1+dfsg

=== debian/changelog ===
libevdev (1.9.1+dfsg-1ubuntu0.1) groovy; urgency=medium

  * debian/patches/Add libevdev_disable_property:
    - needed for libinput quirks on some Dell Precision configurations
      (lp: #1906341)

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Thu, 03 Dec 2020 15:31:26 +0100

libevdev (1.9.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 13.
  * remove-remote-resources.patch is Debian-specific, indicate that it
    doesn’t need to be forwarded.

 -- Stephen Kitt <skitt@debian.org>  Tue, 21 Jul 2020 16:28:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Priority: optional
 Build-Depends: check,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
                graphviz,
                pkg-config,

## libevdev 1.11.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,6 @@
 %:
 	dh $@
 
-override_dh_auto_test:
-# Tests must be run as root
-
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-silent-rules PYTHON=/usr/bin/python3

## libevdev 1.11.0+dfsg

=== debian/changelog ===
libevdev (1.11.0+dfsg-1) unstable; urgency=medium

  * New upstream release (re-license only).

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Feb 2021 21:39:50 +0100

libevdev (1.10.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump debian/watch version.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 15 Jan 2021 09:17:58 +0100

libevdev (1.10.0+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Stephen Kitt ]
  * New upstream release, which now installs the upstream-provided
    manpages for libevdev-tweak-device and touchpad-edge-detector.

 -- Stephen Kitt <skitt@debian.org>  Sat, 31 Oct 2020 17:38:56 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                graphviz,
                pkg-config,
                python3:native
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/libevdev
 Vcs-Git: https://salsa.debian.org/debian/libevdev.git
 Homepage: https://www.freedesktop.org/wiki/Software/libevdev/

## libevdev 1.12.0%2Bdfsg

=== debian/changelog ===
libevdev (1.12.0+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Annotate check dependency <!nocheck>. Closes: #981789.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + libevdev-doc: Drop versioned constraint on libevdev-dev in Replaces.
    + libevdev-doc: Drop versioned constraint on libevdev-dev in Breaks.

  [ Stephen Kitt ]
  * New upstream release.
  * Split out arch-dependent and arch-independent build dependencies,
    and provide a minimal docs-only build.
  * Add upstream bug database location.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 14 Nov 2021 18:00:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,15 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-silent-rules PYTHON=/usr/bin/python3
 
-override_dh_gencontrol:
+override_dh_auto_build-indep:
+	dh_auto_build -i -Bdoc
+
+override_dh_auto_test-indep:
+
+override_dh_auto_install-indep:
+	dh_auto_install -i -Bdoc
+
+override_dh_gencontrol-indep:
 	dh_gencontrol -- -Vdoxygen:Version=$(doxygen_version)
 
 override_dh_makeshlibs:
@@ -28,4 +36,4 @@
 
 override_dh_installdocs-indep:
 	dh_installdocs -i
-	dh_doxygen -plibevdev-doc
+	dh_doxygen -i -plibevdev-doc

## libevdev 1.12.1%2Bdfsg

=== debian/changelog ===
libevdev (1.12.1+dfsg-1) unstable; urgency=medium

  * New upstream release, merging the mouse-dpi-tool man page.
  * Point to the freedesktop.org GitLab instance in the upstream
    metadata.
  * Enable silent rules in terse builds.

 -- Stephen Kitt <skitt@debian.org>  Thu, 31 Mar 2022 13:10:59 +0200

## libevdev 1.12.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: check,
-               debhelper-compat (= 13),
-               doxygen,
-               graphviz,
+Build-Depends: debhelper-compat (= 13),
                pkg-config,
                python3:native
-Standards-Version: 4.5.1
+Build-Depends-Arch: check <!nocheck>
+Build-Depends-Indep: doxygen,
+                     graphviz
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/libevdev
 Vcs-Git: https://salsa.debian.org/debian/libevdev.git
 Homepage: https://www.freedesktop.org/wiki/Software/libevdev/
@@ -35,8 +35,6 @@
 Section: doc
 Depends: libjs-bootstrap,
          ${misc:Depends}
-Breaks: libevdev-dev (<< 1.5.7)
-Replaces: libevdev-dev (<< 1.5.7)
 Built-Using: doxygen (= ${doxygen:Version})
 Description: wrapper library for evdev devices - development docs
  libevdev is a wrapper library for evdev devices. It provides

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg \
 https://www.freedesktop.org/software/libevdev/ libevdev-(.*)\.tar.*

## libevdev 1.13.0+dfsg

=== debian/changelog ===
libevdev (1.13.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 10 Aug 2022 13:54:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends-Arch: check <!nocheck>
 Build-Depends-Indep: doxygen,
                      graphviz
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/libevdev
 Vcs-Git: https://salsa.debian.org/debian/libevdev.git
 Homepage: https://www.freedesktop.org/wiki/Software/libevdev/

## libevdev 1.13.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libevdev
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -8,7 +9,7 @@
 Build-Depends-Arch: check <!nocheck>
 Build-Depends-Indep: doxygen,
                      graphviz
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/libevdev
 Vcs-Git: https://salsa.debian.org/debian/libevdev.git
 Homepage: https://www.freedesktop.org/wiki/Software/libevdev/

## libevdev 1.13.1+dfsg

=== debian/changelog ===
libevdev (1.13.1+dfsg-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:03:19 +0200

libevdev (1.13.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Tue, 13 Jun 2023 06:52:38 +0200

libevdev (1.13.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 May 2023 15:33:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,17 @@
 # doxygen version
 doxygen_version := $(shell dpkg-query -W -f="\$${source:Version}\n" doxygen)
 
+ifeq ($(filter terse,$(DEB_BUILD_OPTIONS)),)
+CONFIG := --disable-silent-rules
+else
+CONFIG := --enable-silent-rules
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-silent-rules PYTHON=/usr/bin/python3
+	dh_auto_configure -- $(CONFIG) PYTHON=/usr/bin/python3
 
 override_dh_auto_build-indep:
 	dh_auto_build -i -Bdoc

## libevdev 1.13.2+dfsg

=== debian/changelog ===
libevdev (1.13.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on pkgconf instead of pkg-config.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Jun 2024 12:52:16 +0200

## libevdev 1.13.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: libevdev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                python3:native
 Build-Depends-Arch: check <!nocheck>
 Build-Depends-Indep: doxygen,
                      graphviz
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/libevdev
 Vcs-Git: https://salsa.debian.org/debian/libevdev.git
 Homepage: https://www.freedesktop.org/wiki/Software/libevdev/

## libevdev 1.13.3+dfsg

=== debian/changelog ===
libevdev (1.13.3+dfsg-1+rpi1) trixie-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Wed, 18 Sep 2024 00:26:06 +0000

libevdev (1.13.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Sep 2024 18:35:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 %:
 	dh $@
 
+override_dh_auto_test:
+	echo testsuite disabled
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIG) PYTHON=/usr/bin/python3

## libevdev 1.13.4+dfsg

=== meson_options.txt ===
option('tests',
       type: 'feature',
       value: 'enabled',
       description: 'Build the tests')
option('tools',
       type: 'feature',
       value: 'enabled',
       description: 'Build the tools')
option('documentation',
       type: 'feature',
       value: 'enabled',
       description: 'Build the documentation')
option('coverity',
       type: 'boolean',
       value: false,
       description: 'Enable coverity build fixes, see meson.build for details')

=== debian/changelog ===
libevdev (1.13.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 28 Mar 2025 21:40:03 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends-Arch: check <!nocheck>
 Build-Depends-Indep: doxygen,
                      graphviz
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/libevdev
 Vcs-Git: https://salsa.debian.org/debian/libevdev.git
 Homepage: https://www.freedesktop.org/wiki/Software/libevdev/

## libevdev 1.13.5+dfsg

=== debian/changelog ===
libevdev (1.13.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop the signing key, it uses SHA-1 which sqv doesn’t accept. See
    #1118154.
  * Remove the old FSF address from debian/copyright.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

 -- Stephen Kitt <skitt@debian.org>  Wed, 19 Nov 2025 13:52:42 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Vcs-Browser: https://salsa.debian.org/debian/libevdev
 Vcs-Git: https://salsa.debian.org/debian/libevdev.git
 Homepage: https://www.freedesktop.org/wiki/Software/libevdev/
-Rules-Requires-Root: no
 
 Package: libevdev-dev
 Architecture: linux-any

=== debian/watch ===
version=4

opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg \
 https://www.freedesktop.org/software/libevdev/ libevdev-(.*)\.tar.*

## libevdev 1.13.6+dfsg

=== debian/changelog ===
libevdev (1.13.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Dec 2025 20:28:46 +0100
